Bug 211928 - No way to specific VNC graphics & use a bootloader in SEXPR protocol
No way to specific VNC graphics & use a bootloader in SEXPR protocol
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks: 211671 211909
  Show dependency treegraph
 
Reported: 2006-10-23 17:38 EDT by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 14:00:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make VNC graphics & bootloader play nice (564 bytes, patch)
2006-10-24 16:00 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2006-10-23 17:38:53 EDT
Description of problem:
The VNC graphics configuration option for paravirt guests is within the (image
(linux ...)) part of the SEXPR given to XenD. When creating guests using an
explicit kernel & initrd, this works fine. If using a bootloader such as pygrub
though, there is no (image) block specified at all, instead a (bootloader ...)
block is used. If one specifies both a (bootloader) and (image) block, XenD will
only look at the (image) block and thus not run the bootloader. This makes it
impossible to create a guest domain using VNC & a  bootloader from libvirt.

Version-Release number of selected component (if applicable):
xen-3.0.3-2.el5

How reproducible:
Always

Steps to Reproduce:
1. Feed a piece of SEXPR data to XenD such as

(vm 
    (name 'XenGuest1')
    (memory 214)
    (maxmem 214)
    (vcpus 1)
    (uuid '06c1f7981c224ba0f729a9ce18a46de5')
    (bootloader '/usr/bin/pygrub')
    (on_poweroff 'destroy')
    (on_reboot 'restart')
    (on_crash 'restart')
    (image (linux (vnc 1)))
    (device (vbd (dev 'xvda')(uname 'phy:/dev/HostVG/XenGuest1')(mode 'w')))
    (device (vif (mac '00:16:3e:1e:7c:a6')(bridge 'xenbr0')(script 'vif-bridge')))
)

2.
3.
  
Actual results:
Xend complains about missing kernel & refuses to create the domain

Expected results:
Xend runs the bootloader to extract the kernel & creates a domain with VNC active

Additional info:
Comment 1 Daniel Berrange 2006-10-24 16:00:16 EDT
Created attachment 139264 [details]
Make VNC graphics & bootloader play nice

This patch makes xend use the bootloader in cases where an (image...) block is
set  but with no (kernel) nested-block. This allows VNC to play nice with
bootloaders.
Comment 2 RHEL Product and Program Management 2006-10-25 12:25:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 5 Jay Turner 2006-11-20 15:16:18 EST
Witholding QE ack until we get resolution on the inactive domain management. 
And on that note, I thought we were feature complete.
Comment 8 Daniel Berrange 2007-01-04 14:00:00 EST
The new generation paravirt framebuffer patches included in recent RHEL-5 xen
packages completely changed the config file format. As such the problem
described in this bug no longer exists. 

Note You need to log in before you can comment on or make changes to this bug.